## mikmod 3.0.4

=== Makefile ===
#! /usr/bin/make -f

all:	FORCE
	(cd extra      ; $(MAKE) all)
	(cd mmio       ; $(MAKE) all)
	(cd playercode ; $(MAKE) all)
	(cd usercode   ; $(MAKE) all)

clean:	FORCE
	(cd extra      ; $(MAKE) clean)
	(cd mmio       ; $(MAKE) clean)
	(cd playercode ; $(MAKE) clean)
	(cd usercode   ; $(MAKE) clean)

distclean:	clean
	rm -f mikmod core {extra,mmio,playercode,usercode}/Makefile

FORCE:
