=== debian/changelog ===
mikmod (3.2.5-1) unstable; urgency=medium

  * New upstream version, uploaded to unstable now that libmikmod3 is
    available there.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Mar 2014 23:34:15 +0100

mikmod (3.2.4-1) experimental; urgency=low

  * New maintainer (closes: #728592).
  * New upstream version.
  * Build with libmikmod3, enabling support for modern audio backends
    (closes: #729058).
  * Update patches:
    - drop 0001-Eliminate-compile-warnings.patch, obsolete;
    - drop 0002-Document-the-color-option.patch, obsolete;
    - drop 0003-Correct-the-playmode-documentation.patch, fixed otherwise
      upstream;
    - update 0004-Fix-hyphens-in-the-manual-pages.patch.
  * Add watch file.
  * Standards-Version 3.9.5, no further change required.
  * Drop old VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Dec 2013 00:10:55 +0100
