=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: mikmod
 Section: sound
 Priority: optional
-Maintainer: Gergely Nagy <algernon@madhouse-project.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, libmikmod2-dev, libncurses5-dev
-Standards-Version: 3.9.3
-Homepage: http://mikmod.raphnet.net
-Vcs-Git: git://git.madhouse-project.org/debian/mikmod.git
-Vcs-Browser: http://git.madhouse-project.org/debian/mikmod/
+Maintainer: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper (>= 9~), autotools-dev, libmikmod-dev (>= 3.3.4), libncurses5-dev
+Standards-Version: 3.9.5
+Homepage: http://mikmod.sf.net
 
 Package: mikmod
 Architecture: any
