## mikmod 3.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 LIST(APPEND CMAKE_MODULE_PATH "${mikmod_SOURCE_DIR}/cmake")
 
-SET (VERSION "3.2.5")
-
-STRING (REGEX MATCHALL "([0-9]+)" VERSION_DIGITS "${VERSION}")
+SET(VERSION "3.2.6")
+
+STRING(REGEX MATCHALL "([0-9]+)" VERSION_DIGITS "${VERSION}")
 
 LIST(GET VERSION_DIGITS 0 CPACK_PACKAGE_VERSION_MAJOR)
 LIST(GET VERSION_DIGITS 1 CPACK_PACKAGE_VERSION_MINOR)
@@ -18,13 +18,13 @@
 SET(CPACK_PACKAGE_NAME "mikmod")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MikMod - a module player")
 SET(CPACK_PACKAGE_VENDOR "Shlomi Fish")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
+SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
+SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 
 SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_DESCRIPTION_SUMMARY} ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 
-SET (base_with_ver "mikmod-[0-9]+\\\\.[0-9]+\\\\.[0-9]+")
+SET(base_with_ver "mikmod-[0-9]+\\\\.[0-9]+\\\\.[0-9]+")
 SET(CPACK_SOURCE_IGNORE_FILES
     "/_CPack_Packages/"
     "/CMakeFiles/"
@@ -56,6 +56,21 @@
 INCLUDE(CheckCSourceCompiles)
 include(mik_macros)
 
+CHECK_MULTI_INCLUDE_FILES(
+    "ncurses.h" "curses.h" "ncurses/curses.h" "termios.h"
+    "fcntl.h" "fnmatch.h" "inttypes.h" "limits.h" "memory.h" "sched.h"
+    "sys/ioctl.h" "sys/param.h" "sys/wait.h" "sys/time.h" "sys/types.h"
+    "sys/stat.h" "stdint.h" "stdlib.h" "string.h" "strings.h" "unistd.h"
+    "pthread.h"
+)
+CHECK_SYMBOL_EXISTS(TIOCGWINSZ "sys/ioctl.h" GWINSZ_IN_SYS_IOCTL)
+CHECK_SYMBOL_EXISTS(usleep unistd.h HAVE_USLEEP_PROTO)
+IF (NOT HAVE_USLEEP_PROTO)
+    CHECK_SYMBOL_EXISTS(usleep "sys/unistd.h" HAVE_USLEEP_PROTO)
+ENDIF()
+
+SET(EXTRA_LIBS )
+
 find_path(MIKMOD_INCLUDE_DIR mikmod.h)
 find_library(MIKMOD_LIBRARIES mikmod)
 IF (MIKMOD_LIBRARIES STREQUAL "MIKMOD_LIBRARIES-NOTFOUND")
@@ -69,25 +84,66 @@
   IF(NOT CURSES_FOUND)
     MESSAGE(FATAL_ERROR "Curses not found.")
   ENDIF()
-ENDIF()
-
-CHECK_MULTI_INCLUDE_FILES(
-    "ncurses.h"
-    "fcntl.h" "fnmatch.h" "inttypes.h" "limits.h" "memory.h" "sched.h"
-    "sys/ioctl.h" "sys/wait.h" "sys/time.h" "sys/types.h" "sys/stat.h"
-    "stdint.h" "stdlib.h" "string.h" "strings.h" "termios.h" "unistd.h"
-    "pthread.h"
-)
-
-CHECK_SYMBOL_EXISTS(TIOCGWINSZ "sys/ioctl.h" GWINSZ_IN_SYS_IOCTL)
-CHECK_SYMBOL_EXISTS(usleep unistd.h HAVE_USLEEP_PROTO)
-IF (NOT HAVE_USLEEP_PROTO)
-    CHECK_SYMBOL_EXISTS(usleep "sys/unistd.h" HAVE_USLEEP_PROTO)
-ENDIF()
-
-IF (HAVE_PTHREAD_H)
+
+  IF(HAVE_NCURSES_H)
+     SET(CURSES_HDR "ncurses.h")
+  ELSEIF(HAVE_CURSES_H)
+     SET(CURSES_HDR "curses.h")
+  ELSEIF(HAVE_NCURSES_CURSES_H)
+     SET(CURSES_HDR "ncurses/curses.h")
+  ELSE()
+      MESSAGE(FATAL_ERROR "Neither ncurses.h nor curses.h found.")
+  ENDIF()
+
+  SET(CMAKE_REQUIRED_LIBRARIES ${CURSES_LIBRARY})
+  CHECK_FUNCTION_EXISTS (resizeterm HAVE_NCURSES_RESIZETERM)
+  CHECK_C_SOURCE_COMPILES(
+   "#include <${CURSES_HDR}>
+     int main(void) {
+#ifdef ACS_ULCORNER
+     return ACS_ULCORNER;
+#endif
+     return 0; }"
+     CURSES_LINKSOK
+  )
+  IF(CURSES_LINKSOK)
+    LIST (APPEND EXTRA_LIBS ${CURSES_LIBRARY})
+  ELSE()
+    find_library(TINFO_LIBRARY tinfo)
+    IF(TINFO_LIBRARY STREQUAL "TINFO_LIBRARY-NOTFOUND")
+      MESSAGE(FATAL_ERROR "libtinfo needed for ncurses, but not found.")
+    ELSE()
+      MESSAGE(STATUS "Found libtinfo: ${TINFO_LIBRARY}")
+      SET(CMAKE_REQUIRED_LIBRARIES ${CURSES_LIBRARY} ${TINFO_LIBRARY})
+      CHECK_C_SOURCE_COMPILES(
+       "#include <${CURSES_HDR}>
+         int main(void) {
+#ifdef ACS_ULCORNER
+         return ACS_ULCORNER;
+#endif
+         return 0; }"
+         TINFO_LINKSOK
+      )
+      IF(TINFO_LINKSOK)
+        LIST (APPEND EXTRA_LIBS ${CURSES_LIBRARY})
+        LIST (APPEND EXTRA_LIBS ${TINFO_LIBRARY})
+      ELSE()
+        MESSAGE(FATAL_ERROR "failed linking to ncurses library.")
+      ENDIF()
+    ENDIF()
+  ENDIF()
+ENDIF()
+
+SET(HAVE_PTHREAD)
+IF (NOT WIN32)
+ INCLUDE(FindThreads)
+ IF (CMAKE_USE_PTHREADS_INIT)
     SET (HAVE_PTHREAD 1)
-ENDIF (HAVE_PTHREAD_H)
+    IF (CMAKE_THREAD_LIBS_INIT)
+        LIST (APPEND EXTRA_LIBS ${CMAKE_THREAD_LIBS_INIT})
+    ENDIF()
+ ENDIF()
+ENDIF()
 
 CHECK_MULTI_FUNCTIONS_EXISTS(
     "getopt_long_only"
@@ -99,10 +155,6 @@
     vprintf
 )
 
-IF (HAVE_USLEEP)
-    SET (HAVE_USLEEP_PROTO 1)
-ENDIF (HAVE_USLEEP)
-
 CHECK_C_SOURCE_COMPILES(
  "#include <sys/types.h>
   #include <signal.h>
@@ -111,13 +163,10 @@
 )
 if(RETSIGTYPE_INT)
   set(RETSIGTYPE int)
-else(RETSIGTYPE_INT)
+else()
   set(RETSIGTYPE void)
-endif(RETSIGTYPE_INT)
+endif()
 MESSAGE(STATUS "Return type of signal handlers: ${RETSIGTYPE}")
-
-SET(CMAKE_REQUIRED_LIBRARIES "ncurses")
-CHECK_FUNCTION_EXISTS (resizeterm HAVE_NCURSES_RESIZETERM)
 
 SET(CMAKE_REQUIRED_INCLUDES ${MIKMOD_INCLUDE_DIR})
 SET(CMAKE_REQUIRED_LIBRARIES ${MIKMOD_LIBRARIES})
@@ -148,13 +197,11 @@
 ADD_DEFINITIONS("-DHAVE_CONFIG_H")
 SET (PACKAGE_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/mikmod")
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-
-# So it can find the includes when building libavl.avl.h.
-INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_SOURCE_DIR})
+configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
 # So it can find config.h
-INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
+INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR})
+INCLUDE_DIRECTORIES(BEFORE ${CMAKE_BINARY_DIR})
 
 install(
     FILES
@@ -164,6 +211,3 @@
 )
 
 add_subdirectory(src)
-add_subdirectory(dos)
-add_subdirectory(os2)
-add_subdirectory(win32)
