=== debian/changelog ===
mikmod (3.2.6-1) unstable; urgency=medium

  * New upstream version.
  * lha is no longer available (in non-free), suggest jlha-utils instead
    (lhasa doesn't support the required 'p' command).
  * Add VCS information.
  * Drop 0004-Fix-hypens-in-the-manual-pages.patch, merged upstream.
  * convert_playlist is no longer provided.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Sep 2014 14:34:58 +0200
