=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Build-Depends: debhelper (>= 9~), autotools-dev, libmikmod-dev (>= 3.3.4), libncurses5-dev
 Standards-Version: 3.9.5
 Homepage: http://mikmod.sf.net
+Vcs-Git: git://anonscm.debian.org/collab-maint/mikmod.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mikmod.git;a=summary
 
 Package: mikmod
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: oss-compat
-Suggests: bzip2, lha, unrar, unzip, zoo
+Suggests: bzip2, jlha-utils, unrar, unzip, zoo
 Description: Portable tracked music player
  Mikmod is a very portable tracked music player which supports a wide
  variety of module formats including compressed sample Impulse Tracker
