=== debian/changelog ===
mikmod (3.2.7-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:43:09 +0000

mikmod (3.2.7-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 15 Nov 2015 22:37:06 +0100
