=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, libmikmod-dev (>= 3.3.4), libncurses5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mikmod.sf.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/mikmod.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mikmod.git;a=summary
