## mikmod 3.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 LIST(APPEND CMAKE_MODULE_PATH "${mikmod_SOURCE_DIR}/cmake")
 
-SET(VERSION "3.2.7")
+SET(VERSION "3.2.8")
 
 STRING(REGEX MATCHALL "([0-9]+)" VERSION_DIGITS "${VERSION}")
