=== debian/changelog ===
mikmod (3.2.8-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 2.14-3.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name (from ./configure), Repository.

  [ Stephen Kitt ]
  * Stop suggesting zoo, it’s no longer available in the archives.
    Closes: #885502.
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Jul 2020 18:07:29 +0200

mikmod (3.2.8-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Fix a few spelling mistakes.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 May 2018 18:22:37 +0200

mikmod (3.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 22:10:27 +0200
