=== debian/control ===
Source: mikmod
Maintainer: Stephen Kitt <skitt@debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmikmod-dev,
               libncurses5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/mod-player-team/mikmod
Vcs-Git: https://salsa.debian.org/mod-player-team/mikmod.git
Homepage: http://mikmod.sf.net
Rules-Requires-Root: no

Package: mikmod
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: oss-compat
Suggests: bzip2,
          jlha-utils,
          unrar,
          unzip
Description: Portable tracked music player
 Mikmod is a very portable tracked music player which supports a wide
 variety of module formats including compressed sample Impulse Tracker
 modules. It also supports many archive formats, as well as on the fly
 decompression.
