=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 override_dh_auto_test: ;
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
