## mikmod 3.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # is installed, which you can do on your cmake command line, like:
 # cmake -DCMAKE_PREFIX_PATH=/path/to/libmikmod_dir ....
 
+CMAKE_MINIMUM_REQUIRED(VERSION 3.1...3.10)
 PROJECT(mikmod C)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 LIST(APPEND CMAKE_MODULE_PATH "${mikmod_SOURCE_DIR}/cmake")
 
-SET(VERSION "3.2.8")
+SET(VERSION "3.2.9")
 
 STRING(REGEX MATCHALL "([0-9]+)" VERSION_DIGITS "${VERSION}")
 
@@ -18,8 +18,8 @@
 SET(CPACK_PACKAGE_NAME "mikmod")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MikMod - a module player")
 SET(CPACK_PACKAGE_VENDOR "Shlomi Fish")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
+SET(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README")
+SET(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
 
 SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_DESCRIPTION_SUMMARY} ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -49,11 +49,16 @@
     "/autom4te.cache/"
 )
 
+IF (POLICY CMP0075)
+    CMAKE_POLICY(SET CMP0075 NEW)
+ENDIF()
+
 INCLUDE(CPack)
 INCLUDE(CheckFunctionExists)
 INCLUDE(CheckSymbolExists)
 INCLUDE(CheckCCompilerFlag)
 INCLUDE(CheckCSourceCompiles)
+include(GNUInstallDirs)
 include(mik_macros)
 
 CHECK_MULTI_INCLUDE_FILES(
@@ -73,7 +78,7 @@
 
 find_path(MIKMOD_INCLUDE_DIR mikmod.h)
 find_library(MIKMOD_LIBRARIES mikmod)
-IF (MIKMOD_LIBRARIES STREQUAL "MIKMOD_LIBRARIES-NOTFOUND")
+IF (NOT MIKMOD_LIBRARIES)
     MESSAGE(FATAL_ERROR "libmikmod not found.")
 ELSE()
     MESSAGE(STATUS "Found MikMod: ${MIKMOD_LIBRARIES}")
@@ -110,7 +115,7 @@
     LIST (APPEND EXTRA_LIBS ${CURSES_LIBRARY})
   ELSE()
     find_library(TINFO_LIBRARY tinfo)
-    IF(TINFO_LIBRARY STREQUAL "TINFO_LIBRARY-NOTFOUND")
+    IF(NOT TINFO_LIBRARY)
       MESSAGE(FATAL_ERROR "libtinfo needed for ncurses, but not found.")
     ELSE()
       MESSAGE(STATUS "Found libtinfo: ${TINFO_LIBRARY}")
@@ -134,7 +139,6 @@
   ENDIF()
 ENDIF()
 
-SET(HAVE_PTHREAD)
 IF (NOT WIN32)
  INCLUDE(FindThreads)
  IF (CMAKE_USE_PTHREADS_INIT)
@@ -146,27 +150,12 @@
 ENDIF()
 
 CHECK_MULTI_FUNCTIONS_EXISTS(
-    "getopt_long_only"
-    mkstemp srandom snprintf vsnprintf strerror
+    getopt_long_only
+    mkstemp srandom snprintf vsnprintf
     usleep
     srandom
     fnmatch
-    memcmp
-    vprintf
-)
-
-CHECK_C_SOURCE_COMPILES(
- "#include <sys/types.h>
-  #include <signal.h>
-  int main(void) { return *(signal(0,0))(0) == 1; }"
-  RETSIGTYPE_INT
-)
-if(RETSIGTYPE_INT)
-  set(RETSIGTYPE int)
-else()
-  set(RETSIGTYPE void)
-endif()
-MESSAGE(STATUS "Return type of signal handlers: ${RETSIGTYPE}")
+)
 
 SET(CMAKE_REQUIRED_INCLUDES ${MIKMOD_INCLUDE_DIR})
 SET(CMAKE_REQUIRED_LIBRARIES ${MIKMOD_LIBRARIES})
@@ -180,7 +169,7 @@
 
 IF (CPU_ARCH)
     LIST(APPEND COMPILER_FLAGS_TO_CHECK "-march=${CPU_ARCH}")
-ENDIF(CPU_ARCH)
+ENDIF()
 
 SET (IDX 1)
 FOREACH (CFLAG_TO_CHECK ${COMPILER_FLAGS_TO_CHECK})
@@ -197,17 +186,17 @@
 ADD_DEFINITIONS("-DHAVE_CONFIG_H")
 SET (PACKAGE_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/mikmod")
 
-configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
+configure_file(${PROJECT_SOURCE_DIR}/config.h.cmake ${PROJECT_BINARY_DIR}/config.h)
 
 # So it can find config.h
-INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR})
-INCLUDE_DIRECTORIES(BEFORE ${CMAKE_BINARY_DIR})
+INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR})
+INCLUDE_DIRECTORIES(BEFORE ${PROJECT_BINARY_DIR})
 
 install(
     FILES
         mikmodrc
     DESTINATION
-        "share/mikmod"
+        ${CMAKE_INSTALL_DATADIR}/mikmod
 )
 
 add_subdirectory(src)
