=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,15 +18,14 @@
    rcfile.c
 )
 
-IF (NOT HAVE_USLEEP)
+IF (NOT HAVE_USLEEP AND NOT WIN32 AND NOT OS2)
     LIST (APPEND mikmod_SRCS "musleep.c")
 ENDIF()
 IF (NOT HAVE_FNMATCH)
     LIST (APPEND mikmod_SRCS "mfnmatch.c")
 ENDIF()
 IF (NOT HAVE_GETOPT_LONG_ONLY)
-    LIST (APPEND mikmod_SRCS "mgetopt.c")
-    LIST (APPEND mikmod_SRCS "mgetopt1.c")
+    LIST (APPEND mikmod_SRCS "getopt_long.c")
 ENDIF()
 
 include_directories(${MIKMOD_INCLUDE_DIR})
@@ -35,5 +34,5 @@
 
 target_link_libraries(mikmod ${MIKMOD_LIBRARIES} ${EXTRA_LIBS})
 
-install(TARGETS mikmod DESTINATION bin)
-
+install(TARGETS mikmod DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES mikmod.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
