=== debian/changelog ===
mikmod (3.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on libncurses-dev instead of libncurses5-dev.
  * Bump debian/watch to version 4.
  * Enable all hardening options.
  * Standards-Version 4.7.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Jan 2025 17:37:02 +0100
