=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libmikmod-dev,
-               libncurses5-dev
-Standards-Version: 4.5.0
+               libncurses-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/mod-player-team/mikmod
 Vcs-Git: https://salsa.debian.org/mod-player-team/mikmod.git
 Homepage: http://mikmod.sf.net
