=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_OPTIONS += -O-Bbuild

override_dh_auto_configure:
	dh_auto_configure -- --enable-color-interface

override_dh_auto_test: ;

%:
	dh $@
