=== debian/watch ===
version=4
http://sf.net/mikmod/mikmod-([^-]+)\.tar\.gz
